(function() {
    "use strict";

    /* globals angular */

    angular
        .module('rmApp')
        .controller('headerController', headerController);

    headerController.$inject = ['$scope'];

    function headerController($scope) {
        /* jshint validthis: true */

        var currentWindow = require('electron').remote.getCurrentWindow();
        var shell = require('electron').shell;

        /**
         * Method to close the mainWindow
         *
         */
        this.closeWindow = function() {
            currentWindow.hide();
        };

        /**
         * Method to minimize the mainWindow
         *
         */
        this.minimizeWindow = function() {
            currentWindow.minimize();
        };

        /**
         * Open external programm
         *
         */
        this.showHomepage = function() {
            shell.openExternal('http://getradiomanager.com/');
        };
    }
}());
